rpi-eeprom (26.4-1) bookworm; urgency=medium

  [ Rasmus Villemoes ]
  * rpi-eeprom-digest: honour SOURCE_DATE_EPOCH

  [ Tim Gover ]
  * 2712: release-notes: Update note for min supported version
  * pieeprom: 2024-11-12-2712: Enable initial_turbo=60 by default (latest)
  * imager: gitignore: Ignore the imager build directories

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 13 Nov 2024 10:36:28 +0000

rpi-eeprom (26.3-1) bookworm; urgency=medium

  [ Tim Gover ]
  * 2024-11-07: recovery.bin - Update default release to latest version (default)

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Nov 2024 16:52:37 +0000

rpi-eeprom (26.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * firmware: 2712: Archive old releases
  * firmware: 2711: Archive firmware older than the last automatic update (2023-01-11)
  * pieeprom-2024-11-05: 2712: NUMA - Add system_heap.max_order=0 when needed (latest)

  [ Andrew Scheller ]
  * Fix release-notes typo

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Nov 2024 18:35:03 +0000

rpi-eeprom (26.1-1) bookworm; urgency=medium

  [ Harry Horsperg ]
  * Update release-notes.md

  [ Andrew Scheller ]
  * Add missing 'sudo' to rpi-eeprom-config's help-text

  [ Tim Gover ]
  * 2024-10-10: 2712: Add support to override the boot-mode at power on (latest)
  * 2024-10-10: 2711: Use soft-reset to preseve SDRAM contents after ramoops (latest)
  * release-notes: Additional updates for the 2024-10-10 release
  * image: Add release-fw helper script
  * pieeprom- 2024-10-21: 2712: 2711: Fix PCIe BAR issue for some switches  (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 22 Oct 2024 17:27:28 +0100

rpi-eeprom (26.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: 2712: Move to the 2024-09-10 release
  * pieeprom-2024-09-23: 2712: SDRAM performance tuning (latest)
  * 2024-09-24: 2712: Promote 2024-09-23 release (default) (automatic update)

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 24 Sep 2024 13:49:40 +0100

rpi-eeprom (25.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-config: Increase the timeout for flashrom shell-cmd

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 17 Sep 2024 11:33:34 +0100

rpi-eeprom (25.1-1) bookworm; urgency=medium

  [ andrum993 ]
  * 2712 release-notes.md: fix typo

  [ Tim Gover ]
  * pieeprom-2024-09-10: 2712: Fix filename

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 11 Sep 2024 21:48:48 +0100

rpi-eeprom (25.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * image: Update 2712 release to 2024-07-30
  * pieeprom-2024-09-05: 2712: 2711: Fix self-update if EEPROM is write-protected (latest)
  * 2024-09-10: 2712: Fix lockup on 7" DSI panel clones (latest)
  * pieeprom-2024-10-09: 2712: Promote to default release (automatic update)

  [ andrum993 ]
  * Update release-notes.md

  [ Nicolai Buchwitz ]
  * Fix docs link to CM4 bootloader

  [ Serge Schneider ]
  * Update package description to include Pi 5
  * d/c: Remove libraspberrypi-bin from Depends

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 11 Sep 2024 14:52:15 +0100

rpi-eeprom (24.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: Bump 2712 release to 2024-06-05
  * imager: make-release: Drop the 'default' (unused) BOOT_ORDER release zip
  * pieeprom-2024-07-25: 2712: Support CM4 nEXTRST on CM5
  *  2024-07-05: 2711: (recovery.bin) - Enable program_rpioboot_gpio - (latest)
  * rpi-eeprom-digest: Fix help text regarding secure-boot support
  * rpi-eeprom-update: Don't display the cancel/revert message in flashrom mode
  * pieeprom-2024-07-30: 2711:  USB boot fixes for CM4-S and interop improvments
    (latest)
  * pieeprom-2024-07-30: 2712: Optimized SDRAM timings for Pi5 8GB (latest)
  * 2024-08-14 - (recovery.bin) Add support for OTP metadata (latest)
  * pieeprom: 2024-07-30: 2712: Promote the 2024-07-30 release to default
    (default)

  [ andrum993 ]
  * release-notes.md: update heading formatting for older releases
  * Update release-notes.md
  * BCM2712 release-notes.md - correct notes for most recent 2 releases

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Aug 2024 01:18:51 +0100

rpi-eeprom (23.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * 2024-06-04: 2712: Fix [pi5] config.txt conditional state (latest)
  * 2024-06-05: 2712: CM5 bringup changes (latest)
  * pieeprom-2024-06-05: 2712: Promote pieeprom-2024-06-05 to the default release (default)

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 12 Jun 2024 10:04:44 +0100

rpi-eeprom (23.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * LICENSE: Update for qrcodegen
  * 2024-05-13: 2712: Add support for NVMe boot with PCIe switches (latest)
  * pieeprom-2024-05-17: 2711: Ignore bootloader updates for Pi5 on Pi4 - (latest)
  * pieeprom: 2024-05-17: 2712: Ignore bootloader updates for Pi5 on Pi4 - (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 20 May 2024 06:17:25 +0100

rpi-eeprom (23.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-04-20: 2712: Fix SDRAM default refresh timings

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 20 Apr 2024 13:07:22 +0100

rpi-eeprom (22.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-config: Process bootcode arg with other file replacements
  * rpi-eeprom-config: Add --debug flag to args
  * pieeprom-2024-04-17: 2712: 2711: Build Pi4 and Pi5 firmware from the same branch
  * pieeprom-2024-04-18: 2712: Update RP1 firmware to extend PCIe L1 entry timeout to 32 us (latest)
  * pieeprom-2024-04-17: 2712: Promote to default release (automatic update)

  [ Andrew Scheller ]
  * rpi-eeprom-config: fix rpi-eeprom-dgst typo in usage-text

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 10:48:18 +0100

rpi-eeprom (21.6-1) bookworm; urgency=medium

  [ Cody Scott ]
  * Remove variable expansion in arithmetic

  [ Tim Gover ]
  * pieeprom-2024-04-15: 2711: Fix tryboot mode in secure-boot - STABLE
  * pieeprom-2024-04-15: 2711: Promote stable release to DEFAULT

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 16 Apr 2024 10:01:53 +0100

rpi-eeprom (21.5-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Output warnings to stderr
  * rpi-eeprom-update: Only check for flashrom during an update
  * tools: rpi-otp-private-key: Update to same version as usbboot
  * tools: Preliminary tool support for signed-boot on 2712
  * tools: rpi-eeprom-digest: Improve docs for secure-boot
  * 2024-04-05: 2712: HAT+ fixes for max-current, custom CA cert for net install and enable over-clocking to > 3GHz (latest)

  [ Peter Harper ]
  * Add new cacertder option

  [ Serge Schneider ]
  * Install tools/ and add python3-pycryptodome dependency

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 05 Apr 2024 15:22:05 +0100

rpi-eeprom (21.4-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager-release: 2712: Bump to 2024-02-16
  * rpi-eeprom-update: Use flashrom by default on Pi5

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 27 Feb 2024 13:50:35 +0000

rpi-eeprom (21.3-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-02-08: 2712: Adjust SDRAM refresh based on temperature (latest)
  * 2024-02-14: 2712: Adjust SDRAM refresh based on temperature (latest)
  * 2024-02-16: 2712: u-boot loading and thermal throttling fixes (latest) (default)

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 19:46:59 +0000

rpi-eeprom (21.2-1) bookworm; urgency=medium

  [ Peter Harper ]
  * 2024-01-24: NVMe boot fix for WD NVMe (latest)

  [ Shogo Yamazaki ]
  * Print warning when flashrom is not found, instead of silently ignoring it

  [ Tim Gover ]
  * pieeprom-2024-02-05: 2712: Add support for HAT+ POE HATs (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 06 Feb 2024 19:07:49 +0000

rpi-eeprom (21.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-01-15: 2712: Add support for network-install (latest)
  * 2024-01-18: 2711: Fix issue with minimal sized FAT partition - STABLE
  * pieeprom-2024-01-22: 2711: Fix issue boot.img end sector check - STABLE
  * 2024-01-22: 2712: Fixes for small boot.img files + SD CD indicator (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 22 Jan 2024 17:18:45 +0000

rpi-eeprom (21.0-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2024-01-05: 2712: Fix handling of FAT files without LFNs.
  * pieeprom-2024-01-05: 2712: Promote to default (automatic update)
  * Update RPi Imager release to 2024-01-05

  [ TrevorM ]
  * Updated documentation links

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 08 Jan 2024 13:42:41 +0000

rpi-eeprom (20.5-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: Update imager release to 2023-12-06
  * pieeprom-2023-12-14: 2712: Fix boot partition parameter (latest)
  * rpi-eeprom-update: Tweak chipNotSupported message
  * pieeprom-2023-12-14: 2712: Promote pieeprom-2023-12-14 to default

  [ Andrew Scheller ]
  * Fix typo in warning message
  * rpi-eeprom-update: Fix package-names in error messages

  [ Pavel Djundik ]
  * Check that `strings` exists, suggest installing `binutils`

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 04 Jan 2024 11:10:49 +0000

rpi-eeprom (20.4-1) bookworm; urgency=medium

  [ Tim Gover ]
  * imager: 2712: Add NVMe into default boot configurations
  * pieeprom-2023-12-12: 2712: Promote 2023-12-06 to default release.

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Dec 2023 09:56:48 +0000

rpi-eeprom (20.3-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom: Disable the dpkg checksum validation by default
  * pieeprom-2023-12-06: 2712: Initialise DWC PHY (latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 11 Dec 2023 09:01:56 +0000

rpi-eeprom (20.2-1) bookworm; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Add the option to use flashrom for updates on Raspberry Pi 5
  * pieeprom-2023-11-20: 2712: Auto-detect support for PCIe expansion HAT (default + latest)

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 22 Nov 2023 19:01:42 +0000

rpi-eeprom (20.1-3) bookworm; urgency=medium

  * d/c: Remove raspi-firmware dependency

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 16 Nov 2023 09:42:43 +0000

rpi-eeprom (20.1-2) bookworm; urgency=medium

  * Fix dependencies for bookworm

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 09 Nov 2023 13:16:11 +0000

rpi-eeprom (20.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2023-10-30: 2712: UPG watchdog support + SD reset fixes (default + latest)

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 06 Nov 2023 14:50:44 +0000

rpi-eeprom (20.0-2) bookworm; urgency=medium

  [ TM ]
  * Fix /boot/firmware mount

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Oct 2023 09:07:00 +0100

rpi-eeprom (20.0-1) bookworm; urgency=medium

  [ Andrew Scheller ]
  * rpi-eeprom-update: Fix typos in usage text

  [ Tim Gover ]
  * rpi-eeprom-update: 2712: Bump the min version to pieeprom-2023-10-18
  * rpi-eeprom-update: Switch back to recovery.bin on Pi5

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 23 Oct 2023 08:06:46 +0100

rpi-eeprom (19.1-1) bookworm; urgency=medium

  [ Tim Gover ]
  * pieeprom-2023-10-18: 2712: Display autodetect + HAT gpiomap (default + latest)
  * Update releases.md
  * Update README.md
  * imager-release: Update for Pi5

  [ Andrew Scheller ]
  * Fix typo

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 19 Oct 2023 16:20:38 +0100

rpi-eeprom (19-1) bookworm; urgency=medium

  [ TM ]
  * Update URL for CM4 bootloader doc site

  [ Serge Schneider ]
  * If /boot/firmware is in fstab, use it as BOOTFS

  [ Tim Gover ]
  * firmware: Remove the beta release folder
  * test: install: Clean /lib/firmware/bootloader
  * Rename firmware to firmware-2711
  * firmware-2712: Create the 2712 firmware directory structure
  * scripts: Add support for chip-specific firmware directories
  * pieeprom-2023-09-13: 2712: Initial firmware release for Pi5
  * pieeprom-2023-09-21: 2712: Power button and ACT LED improvements
  * pieeprom-2023-09-21: 2712: Add recovery.bin for make-image-release
  * pieeprom-2023-09-28: 2712: vcgencmd pmic_read_adcs fixes
  * firmware-2711: Switch symlinks to use the standard release names

  [ Serge Schneider ]
  * d/c: update maintainer email
  * d/c: add raspi-firmware as an alternative to raspberryp-bootloader
  * d/c: set rpi-eeprom-images and rpi-eeprom architecture to all
  * d/gbp.conf: update debian-branch
  * Update packaging for split firmware directories
  * Change beta firmware to symlink
  * d/p/s: remove empty series file

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 04 Oct 2023 13:00:10 +0100

rpi-eeprom (16.1-1) bullseye; urgency=medium

  [ Ivan T. Ivanov ]
  * rpi-eeprom-update: Follow links when looking for latest EEPROM

  [ Tim Gover ]
  * pieeprom-2023-05-11: Fix intermittent hang during secure-boot - BETA
  * pieeprom-2023-05-11: Promote BETA release to STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 16 May 2023 07:54:11 +0100

rpi-eeprom (16.0-1) bullseye; urgency=medium

  [ Tim Gover ]
  * 2023-01-18 - Promote pieeprom-2023-01-11 STABLE release to DEFAULT

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 20 Jan 2023 15:42:54 +0000

rpi-eeprom (15.2-1) bullseye; urgency=medium

  [ Allan Xavier ]
  * Fix rpi-eeprom-update when using busybox find

  [ Tim Gover ]
  * pieeprom-2023-01-11: Promote previous BETA release to STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 17 Jan 2023 08:39:52 +0000

rpi-eeprom (15.1-1) bullseye; urgency=medium

  [ Tim Gover ]
  * pieeprom-2023-01-04 VL805 firmware update - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 04:02:27 +0000

rpi-eeprom (15.0-1) bullseye; urgency=medium

  [ Tim Gover ]
  * Point to the latest release
  * make-imager-release: Move image release to 2022-12-07
  * 2022-12-07 - Fix SD voltage reset on Pi4 R1.1 (DEFAULT/STABLE/BETA).

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 07 Dec 2022 19:45:54 +0000

rpi-eeprom (14.0-1) bullseye; urgency=medium

  [ Tim Gover ]
  * tools: Add secure-boot related scripts to tools
  * pieeprom-2022-11-25 Promote STABLE to DEFAULT release

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 05 Dec 2022 13:17:58 +0000

rpi-eeprom (13.22-1) bullseye; urgency=medium

  [ Tim Gover ]
  * Align rpi-eeprom-digest with usbboot
  * pieeprom-2022-11-25 - Fix unconfigured netconsole messages - BETA + STABLE
  * rpi-eeprom-config: Add -x option to extract files
  * rpi-eeprom-config: Make padding more robust.
  * unit-test: Update to cover all the releases including beta

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 29 Nov 2022 14:53:08 +0000

rpi-eeprom (13.21-1) bullseye; urgency=medium

  [ Tim Gover ]
  * * Fix an OOM issue that was causing secure boot to fail (but not from RPIBOOT)

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 04 Nov 2022 19:04:11 +0000

rpi-eeprom (13.20-1) bullseye; urgency=medium

  [ Tim Gover ]
  * pieeprom-2022-11-02: Add option to use Customer OTP for MAC address - BETA
  * rpi-eeprom-digest: Update from usbboot for the verify option

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Nov 2022 18:36:55 +0000

rpi-eeprom (13.19-1) bullseye; urgency=medium

  [ Tim Gover ]
  * Update release notes for 2022-10-18 - BETA
  * pieeprom-2022-10-18: Promote BETA release to STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 20 Oct 2022 12:48:24 +0100

rpi-eeprom (13.18-1) bullseye; urgency=medium

  [ Peter Harper ]
  * 2022-10-06 - Fix issue with screen display - BETA
  * 2022-10-12 - Fix USB boot regression - BETA

  [ Tim Gover ]
  * 2022-10-18 - Tryboot enhancements for A/B partition booting - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Oct 2022 12:58:37 +0100

rpi-eeprom (13.17-2) bullseye; urgency=medium

  * Rebuild with a supported compression algorithm

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Oct 2022 16:34:56 +0100

rpi-eeprom (13.17-1) bullseye; urgency=medium

  [ Tim Gover ]
  * chmod -x pieeprom-2022-08-02.bin
  * Parse target MAC address in NETCONSOLE property
  * rpi-eeprom-update: Mention rpiboot in the CM4 not supported error message

  [ Peter Harper ]
  * 2022-10-03 - Add pieeprom-2022-10-03.bin - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Oct 2022 15:45:01 +0100

rpi-eeprom (13.16-1) bullseye; urgency=medium

  [ Tim Gover ]
  * pieeprom-2022-07-19: Promote release from beta to STABLE
  * pieeprom-2022-07-22 - Add pieeprom-2022-07-22 - BETA + STABLE
  * pieeprom-2022-07-26: - Add pieeprom-2022-07-26 - BETA + STABLE
  * 2022-08-02 - Add pieeprom-2022-08-02 - BETA + STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 03 Aug 2022 12:19:52 +0100

rpi-eeprom (13.15-1) bullseye; urgency=medium

  [ Tim Gover ]
  * make-imager-release: Bump the imager release to 2022-04-26
  * make-recovery-images: Attempt to avoid orphaned loopback devices
  * rpi-eeprom-update: Avoid using recovery.bin if the current bootloader supports self-update
  * pieeprom-2022-05-20.bin Reduce boot-time when network install is disabled - BETA
  * Restore ARM 32-bit vl805 flash programming tool
  * 2022-07-14 - Add pieeprom-2022-07-14 - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 18 Jul 2022 09:03:05 +0100

rpi-eeprom (13.14-1) bullseye; urgency=medium

  [ Tim Gover ]
  * Move old beta releases out of the APT package and into the old directory
  * pieeprom-2022-04-26: Promote pieeprom-2022-04-26 to the DEFAULT release

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 03 May 2022 13:21:51 +0100

rpi-eeprom (13.13-1) bullseye; urgency=medium

  [ Tim Gover ]
  * pieeprom-2022-04-14: Ethernet auto IDDQ fix & EEPROM update diagnostics - BETA
  * pieeprom-2022-04-26: Network install / secure-boot STABLE/BETA

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 27 Apr 2022 14:57:49 +0100

rpi-eeprom (13.12-1) bullseye; urgency=medium

  [ Peter Harper ]
  * 2022-03-10: Promote 2022-03-10 to LATEST/STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 16 Mar 2022 10:32:51 +0000

rpi-eeprom (13.11-1) bullseye; urgency=medium

  [ Peter Harper ]
  * 2022-03-10: HTTP_PATH fix - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 10 Mar 2022 17:40:19 +0000

rpi-eeprom (13.10-1) bullseye; urgency=medium

  [ Peter Harper ]
  * 2022-02-28: More net Install changes - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Mar 2022 13:25:54 +0000

rpi-eeprom (13.9-1) bullseye; urgency=medium

  [ Peter Harper ]
  * 2022-02-16: Network Install updated - BETA

  [ Tim Gover ]
  * Update bug_report.yml
  * Update config.yml

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 17 Feb 2022 18:17:50 +0000

rpi-eeprom (13.8-1) bullseye; urgency=medium

  [ Tim Gover ]
  * Update release-notes for network-install BETA
  * pieeprom-2022-02-08: Fix secure-boot boot failure - STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 10 Feb 2022 16:00:51 +0000

rpi-eeprom (13.7-1) bullseye; urgency=medium

  [ Peter Harper ]
  * 2022-02-04: Network Install - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 08 Feb 2022 14:31:57 +0000

rpi-eeprom (13.6-1) bullseye; urgency=medium

  [ Tim Gover ]
  * 2022-01-25 - Promote pieeprom-2022-01-25 to the DEFAULT release
  * Update make-imager-release to 2022-01-25

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Feb 2022 12:07:24 +0000

rpi-eeprom (13.5-1) bullseye; urgency=medium

  [ Tim Gover ]
  * Add note about GPU memory in latest beta
  * pieeprom-2022-01-25: Create stable release from pieeprom-2022-01-20

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 26 Jan 2022 12:05:38 +0000

rpi-eeprom (13.4-1) bullseye; urgency=medium

  [ Andrew Scheller ]
  * fix typo and tweak formatting (#390)

  [ Peter Harper ]
  *  2022-01-20: Some NVMe boot fixes - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 21 Jan 2022 11:09:18 +0000

rpi-eeprom (13.3-1) bullseye; urgency=medium

  [ Peter Harper ]
  * Fix permissions on files
  * 2021-12-02: Promote the 2021-12-02 beta release to LATEST/STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 13 Dec 2021 15:32:21 +0000

rpi-eeprom (13.2-1) bullseye; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-digest: Don't require xxd/openssl unless RSA signing is requested.
  * Update default recovery.bin to the latest stable release

  [ Peter Harper ]
  * 2021-12-02: Fix MTB detection for factory test - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 10 Dec 2021 14:23:50 +0000

rpi-eeprom (13.1-1) bullseye; urgency=medium

  [ Tim Gover ]
  * Promote pieeprom-2021-11-22 beta release to stable

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Nov 2021 11:43:15 +0000

rpi-eeprom (13.0-1) bullseye; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-digest: Import script from rapsberrypi/usbboot
  * rpi-eeprom-update: Use rpi-eeprom-digest to generate the .sig files
  * rpi-eeprom-config: Update to the same version as raspberrypi/usbboot
  * test: Add a simple loopback test for signed boot
  * rpi-eeprom-digest: Add to test/install and specify -o in rpi-eeprom-update
  * rpi-eeprom-config: Fix calls for reading/replacing bootconf.txt

  [ Peter Harper ]
  * 2021-11-22: Fix for Sabrent rocket Nano NVMe reboot issue - BETA

  [ Serge Schneider ]
  * Install rpi-eeprom-digest

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 23 Nov 2021 22:26:47 +0000

rpi-eeprom (12.15-1) bullseye; urgency=medium

  [ Peter Harper ]
  * Fix URLs in README

  [ Tim Gover ]
  * rpi-eeprom-config: require python3
  * make-recovery-images: Build FAT32 disk-images for the imager zips
  * Update a few more URLs to raspberrypi.com
  * make-recovery-images: Set GID
  * make-recovery-images: Change partition size to be 256MB
  * 2021-10-27 - Secure boot improvements - BETA

  [ andrum99 ]
  * imager/README.txt: typo, grammar, style fixes
  * Don't think we need to specify 'spare' - that's up to the user
  * Update README.txt
  * Update release-notes.md

  [ Serge Schneider ]
  * Remove python3 patch
  * Update gbp.conf

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 15 Nov 2021 16:00:18 +0000

rpi-eeprom (12.14-1) buster; urgency=medium

  [ Tim Gover ]
  * 2021-09-27 - Fix recovery.bin rename issue and EEPROM netconsole - BETA
  * Additional fix to beta recovery.bin
  * pieeprom-2021-10-04: Add support for GPT FAT16 and increase USB timeouts - BETA
  * pieeprom-2021-10-05: Update for latest Broadcom SDRAM settings - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Oct 2021 10:40:53 +0100

rpi-eeprom (12.13-1) buster; urgency=medium

  [ Tim Gover ]
  * recovery.bin 2021-09-23 - Temporarily revert recovery.bin 2021-09-22

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 27 Sep 2021 13:03:08 +0100

rpi-eeprom (12.12-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-09-23.bin:  Bootloader file-system updates - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 24 Sep 2021 15:30:58 +0100

rpi-eeprom (12.11-1) buster; urgency=medium

  [ Tim Gover ]
  * Promote 22/09/2021 beta recovery.bin to stable

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Sep 2021 15:50:52 +0100

rpi-eeprom (12.10-1) buster; urgency=medium

  [ Aman Gupta Karmani ]
  * Fix typo

  [ Andrew Scheller ]
  * Update documentation link

  [ Tim Gover ]
  * recovery.bin: Fix recovery.bin loading on larger FAT partitions - BETA
  * Update bug_report.md

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 23 Sep 2021 11:26:25 +0100

rpi-eeprom (12.9-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-07-06: Promote to STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 07 Jul 2021 14:25:46 +0100

rpi-eeprom (12.8-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-07-06 - Tidyup PXE debug strings - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 06 Jul 2021 14:08:46 +0100

rpi-eeprom (12.7-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-06-25 - Support 256MB gpu_mem with boot.img ramdisk - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 25 Jun 2021 15:46:07 +0100

rpi-eeprom (12.6-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-06-17 CM4 avoid touching PCIe - BETA
    - Avoid default PCIe / XHCI probe on CM4 unless required for the
      current boot mode (USB_MSD or NVME).
    - Leave PCIe RC in reset state when loading start.elf except for
      USB-MSD mode.

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 21 Jun 2021 16:01:30 +0100

rpi-eeprom (12.5-1) buster; urgency=medium

  [ Dave Jones ]
  * Remove redundant vcmailbox reference
  * Add a test to cause the script to exit cleanly on non-Pi hardware

  [ Tim Gover ]
  * pieeprom-2021-06-11 - Add USB_MSD_STARTUP_DELAY

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 11 Jun 2021 15:59:27 +0100

rpi-eeprom (12.4-1) buster; urgency=medium

  [ Andrew Scheller ]
  * Typos and wording tweaks

  [ Tim Gover ]
  * rpi-eeprom-update: Display a warning when the bootloader is downgraded
  * pieeprom-2021-05-19 - Use latest BRCM SDRAM setting

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 20 May 2021 17:17:47 +0100

rpi-eeprom (12.3-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-04-29.bin - Pi400 MII clock freq - STABLE
  * pieeprom-2021-04-29: Update default release to this image
  * Update imager-release to 2021-04-29

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 30 Apr 2021 12:57:28 +0100

rpi-eeprom (12.2-1) buster; urgency=medium

  [ Tim Gover ]
  * 2021-04-19 - Promote 2021-03-18 to the default/critical release

  [ andrum99 ]
  * rpi-eeprom-update: up-to-date -> up to date

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 22 Apr 2021 16:15:00 +0100

rpi-eeprom (12.1-1) buster; urgency=medium

  [ Andrew Scheller ]
  * Fix typos in test script

  [ Tim Gover ]
  * Update README.md
  * recovery.bin: Fix error pattern handling for HDMI/SDRAM failures

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 15 Apr 2021 12:27:10 +0100

rpi-eeprom (12.0-1) buster; urgency=medium

  [ andrum99 ]
  * releases.md: improve page title, add missing full stops

  [ Tim Gover ]
  * test: Extend loopback test to cover old beta releases.
  * rpi-eeprom-update: Specifiy a minimum version number for automatic updates
  * Update README.md
  * Update releases.md

  [ Serge Schneider ]
  * rpi-eeprom-update.service: run rpi-eeprom-update in silent mode

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 25 Mar 2021 17:10:55 +0000

rpi-eeprom (11.12-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-03-18 Fix reboot issue on older Pi 4B boards - STABLE

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Mar 2021 17:01:51 +0000

rpi-eeprom (11.11-1) buster; urgency=medium

  [ Tim Gover ]
  * remove +x bit on beta recovery.bin and 2021-04-03 release

  [ Peter Harper ]
  * pieeprom-2021-03-17.bin - Fix problem with PCIe bridges - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 17 Mar 2021 16:14:59 +0000

rpi-eeprom (11.10-1) buster; urgency=medium

  [ Tim Gover ]
  * make-release: Add a script for generating Raspberry Pi Imager releases
  * Add recovery.bin to make-release

  [ peter.harper ]
  * pieeprom-2021-03-04.bin - NVMe boot support - BETA

  [ Andrew Scheller ]
  * Add make-beta-release as a wrapper around make-release
  * Allow a custom firmware_status to be set via env-var
  * Refactor the imager script to reduce duplication and remove reliance on symlinks
  * Make make-release more flexible, and add make-imager-release as a wrapper script around it
  * Typos

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 12 Mar 2021 10:49:44 +0000

rpi-eeprom (11.9-1) buster; urgency=medium

  [ Nicolas Saenz Julienne ]
  * rpi-eeprom-update: Surround [:print:] with quotes

  [ Tim Gover ]
  * Remove SPI_SPEED variable now that flashrom has been removed.

  [ Serge Schneider ]
  * Revert "Remove binutils dependency"

  [ Tim Gover ]
  * Revert "rpi-eeprom-update: Surround [:print:] with quotes"
  * Revert "rpi-eeprom-update: Use 'tr' instead of 'strings'"

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 26 Feb 2021 14:16:55 +0000

rpi-eeprom (11.8-1) buster; urgency=medium

  [ Nicolas Saenz Julienne ]
  * rpi-eeprom-update: Use 'tr' instead of 'strings'

  [ Tim Gover ]
  * pieeprom-2021-02-16: Promote to STABLE

  [ Serge Schneider ]
  * Packaging: remove binutils dependency

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 22 Feb 2021 17:53:15 +0000

rpi-eeprom (11.7-1) buster; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Reference raspi-config from version message

  [ Nicolas Saenz Julienne ]
  * rpi-eeprom-config/update: Exit cleanly when not run on rpi4

  [ Tim Gover ]
  * rpi-eeprom-update: Remove deprecated flashrom script options.

  [ timg236 ]
  * rpi-eeprom-update: Expand help to describe CM4 bootloader updates (#293)

  [ Tim Gover ]
  * vl805: Move to old following removal of USE_FLASHROM option
  * pieeprom-2021-02-16: Change VC version info & TFTP ACK fix BETA

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 16 Feb 2021 16:28:43 +0000

rpi-eeprom (11.6-1) buster; urgency=medium

  [ Nicolas Saenz Julienne ]
  * rpi-eeprom-update: Get bootloader configuration from DT
  * rpi-eeprom-config: Properly decode sysfs binary files

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 28 Jan 2021 11:57:59 +0000

rpi-eeprom (11.5-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-01-16: Fix SD 1V8 reset - LATEST + BETA

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 16 Jan 2021 16:26:47 +0000

rpi-eeprom (11.4-1) buster; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Update docs and default ENV for release names
  * Promote pieeprom-2021-01-11 to STABLE (LATEST)

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 14 Jan 2021 12:47:35 +0000

rpi-eeprom (11.3-1) buster; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Add trailing / so find follows the FW symlink

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Jan 2021 16:53:15 +0000

rpi-eeprom (11.2-1) buster; urgency=medium

  [ andrum99 ]
  * release-notes.md: label 2020-01-05 release as BETA

  [ Andrew Scheller ]
  * typo

  [ Tim Gover ]
  * rpi-eeprom-update: Get bootloader build-timestamp from device-tree
  * rpi-eeprom-update: Add default/latest symlinks to reflect raspi-config
     naming
  * pieeprom-2021-01-11: Timeout stalled USB MSD devices - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Jan 2021 14:17:11 +0000

rpi-eeprom (11.1-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2021-01-05: USB MSD interoperability improvements for Pi 4B < R1.4

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 06 Jan 2021 11:43:09 +0000

rpi-eeprom (11.0-1) buster; urgency=medium

  [ Tim Gover ]
  * Promote pieeprom-2020-12-11 release from beta to stable

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 15 Dec 2020 08:51:14 +0000

rpi-eeprom (10.4-1) buster; urgency=medium

  [ Tim Gover ]
  * Update bug_report.md
  * pieeprom-2020-12-11: CM4/PI400 conditional filters - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 11 Dec 2020 13:43:26 +0000

rpi-eeprom (10.3-1) buster; urgency=medium

  [ andrum99 ]
  * Update release-notes.md

  [ Sebastian Rivera ]
  * Update release-notes.md

  [ Tim Gover ]
  * rpi-eeprom-config: Change --edit to use the current EEPROM config
  * pieeprom-2020-11-24: Enable booting from BCM2711 XHCI controller - BETA

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 25 Nov 2020 17:45:08 +0000

rpi-eeprom (10.2-1) buster; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Fix shellcheck warnings
  * rpi-eeprom-update: Skip checksums if there is no dpkg info directory
  * Add the timestamp of the update to the pieeprom.sig file.

  [ Andrew Scheller ]
  * typos

  [ Tim Gover ]
  * pieeprom-2020-10-28: Defer HDMI diagnostics display, update-timestamps, tryboot support

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 02 Nov 2020 14:15:16 +0000

rpi-eeprom (10.1-1) buster; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-config: Use decode('utf-8') to convert subprocess txt

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 06 Oct 2020 10:45:07 +0100

rpi-eeprom (10.0-1) buster; urgency=medium

  [ andrum99 ]
  * Fix package architecture

  [ Tim Gover ]
  * rpi-eeprom-update: Use multiple sources for BOARD_INFO
  * rpi-eeprom-update: Restrict package checksums to EEPROM images.
  * rpi-eeprom-update: Add -l option to resolve the latest bootloader image
  * rpi-eeprom-config: Add new option to apply config and update in one
    operation
  * rpi-eeprom-config: Add --edit for interactive editor style operation
  * Implement review comments Update --apply --edit to allow the eeprom image
    to be specified. Add some error checking around chmod in rpi-eeprom-update
  * Fix doc comments and ignore package checksums
  * rpi-eeprom-update: Add -b flag to output BOOTFS path
  * rpi-eeprom-config: Update --edit to read config from pending updates
  * rpi-eeprom-config: Trap errors when deleting previous update files
  * Require 'sudo' for --edit or --apply instead of spawning sudo command
  * rpi-eeprom-update: Move .bin filter for checksums into subshell
  * rpi-eeprom-config: Update help for --edit

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 05 Oct 2020 12:53:57 +0100

rpi-eeprom (9.0-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-09-03: Promote latest stable to default/critical
  * Update releases.md
  * Update README.md
  * Archive 2020-08-31 and 2020-09-02 beta releases.

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 14 Sep 2020 14:27:21 +0100

rpi-eeprom (8.0-1) buster; urgency=medium

  [ Tim Gover ]
  * Promote pieeprom-2020-09-03 to STABLE
  * Update releases.md

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 07 Sep 2020 14:35:50 +0100

rpi-eeprom (7.14-1) buster; urgency=medium

  [ Kyle J. McKay ]
  * rpi-eeprom-update: avoid any possible od accidents

  [ Andrew Scheller ]
  * Add BETA label to release notes

  [ Tim Gover ]
  * pieeprom-2020-09-03.bin - Fix filename

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 04 Sep 2020 16:00:32 +0100

rpi-eeprom (7.13-1) buster; urgency=medium

  [ Tim Gover ]
  * Use od instead of hexdump to simplify package dependencies
  * pieeprom-2020-09-02: Simplify green activity LED behavior

  [ MichaIng ]
  * Remove rpi-eeprom-images from dependencies

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 03 Sep 2020 18:43:10 +0100

rpi-eeprom (7.12-1) buster; urgency=medium

  [ Tim Brooks ]
  * Fix #211 - hexdump error on older Pi models

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 02 Sep 2020 09:35:23 +0100

rpi-eeprom (7.11-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-08-31 - Disable self update mode from SD cards
  * Update link to latest stable release
  * Update releases.md
  * Update README.md

  [ andrum99 ]
  * Update README.md

  [ Hristo Venev ]
  * rpi-eeprom-update: Upstream kernel fix

  [ Serge Schneider ]
  * Use Python 3

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 01 Sep 2020 14:02:00 +0100

rpi-eeprom (7.10-1) buster; urgency=medium

  [ Andrew Scheller ]
  * Typos

  [ Tim Gover ]
  * Promote beta 2020-07-31 to stable

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 10 Aug 2020 14:17:42 +0100

rpi-eeprom (7.9-1) buster; urgency=medium

  [ Tim Gover ]
  * Update releases.md
  * rpi-eeprom-update: Set file permissions on the EEPROM update files
  * Rename .config.yml to config.yml
  * pieeprom-2020-07-31.bin - Standardize USB port power off across Pi4 models

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 03 Aug 2020 11:04:37 +0100

rpi-eeprom (7.8-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-07-16.bin - Promote to STABLE
  * recovery.bin - Update beta/stable after rebase

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 20 Jul 2020 12:17:23 +0100

rpi-eeprom (7.7-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-07-16 - Fix CM4 startup issue

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 16 Jul 2020 18:55:34 +0100

rpi-eeprom (7.6-1) buster; urgency=medium

  [ Alessandro Petrelli ]
  * correct date

  [ Tim Gover ]
  * pieeprom-2020-07-16: VL805 0138A1 plus optional EEPROM write protect
  * Change "update required" message to "update available"

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 16 Jul 2020 15:14:23 +0100

rpi-eeprom (7.5-1) buster; urgency=medium

  [ Tim Gover ]
  * Feature requests
  * Update bug_report.md
  * Fix date in release notes see #158

  [ RaspberryPiFan ]
  * Fix a link

  [ Tim Gover ]
  * Update releases.md

  [ Dave Jones ]
  * Query checksums from rpi-eeprom instead of rpi-eeprom-images

  [ Pyry Kontio ]
  * Use /usr/bin/env python to make rpi-eeprom-config more portable

  [ Tim Gover ]
  * pieeprom-2020-07-06 - BETA
    - Tweak USB port power and clear ACT LED after SPI
  * Fix release notes title
  * Disable rpi-eeprom-update by default on CM4

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 08 Jul 2020 00:18:35 +0100

rpi-eeprom (7.4-1) buster; urgency=medium

  [ Tim Gover ]
  * Promote 2020-06-16 to STABLE

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 17 Jun 2020 10:15:37 +0100

rpi-eeprom (7.3-1) buster; urgency=medium

  [ andrum99 ]
  * releases.md: typo, link, grammar fixes

  [ Kyle J. McKay ]
  * rpi-eeprom-update: compare versions algebraically

  [ Tim Gover ]
  * Update bug_report.md
  * github: Disable blank issues
  * pieeprom-2020-06-12 Improve support for powered USB SATA devices - BETA
  * Update releases.md
  * pieeprom-2020-06-15 Tweak toggling of USB port power at boot - BETA
  * Update MSD beta to 2020-06-15

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 16 Jun 2020 10:59:32 +0100

rpi-eeprom (7.2-1) buster; urgency=medium

  [ MilhouseVH ]
  * include vl805 eeprom presence in machine output

  [ Andrew Scheller ]
  * small typos

  [ Tim Gover ]
  * Create releases.md
  * pieeprom-2020-06-03: Bootmode tweaks and fix issue with > 4TB drives - BETA
  * rpi-eeprom-update: Remove warning in -f section

  [ andrum99 ]
  * rpi-eeprom-update - fix description of -d flag
  * Clarify -d option when EEPROM update not needed
  * reword

  [ Serge Schneider ]
  * Merge rpi-eeprom-images into rpi-eeprom package

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 04 Jun 2020 00:40:45 +0100

rpi-eeprom (7.1-1) buster; urgency=medium

  [ Tim Gover ]
  * test: Fixup paths for config test
  * rpi-eeprom-update: Change BOOTFS .elf check to a warning
  * rpi-eeprom-update: Mark USE_FLASHROM as deprecated.
  * rpi-eeprom-update: Update help for FIRMWARE_RELEASE_STATUS
  * pieeprom-2020-05-26.bin - USB MSD beta updates
  * pieeprom-2020-05-27.bin - DPI fix
  * pieeprom-2020-05-27: Patch release with VL805 self-update fix
  * rpi-eeprom-update: Update VL805 version check for boards without
    VL805 EEPROM

  [ andrum99 ]
  * Update release-notes.md

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 28 May 2020 13:33:21 +0100

rpi-eeprom (7.0-1) buster; urgency=medium

  [ Tim Gover ]
  * Update README.md
  * Garbage collect old bootloader releases
  * pieeprom-2020-05-15.bin - USB mass storage boot beta
  * Update issue templates

  [ andrum99 ]
  * rpi-eeprom-update: mention Pi4 only, remove references to SD card
  * rpi-eeprom-config: Pi 4B -> Pi 4

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 18 May 2020 15:12:04 +0100

rpi-eeprom (6.0-1) buster; urgency=medium

  [ Tim Gover ]
  * Promote 2020-04-16 to be the new default release as a critical update

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 29 Apr 2020 08:17:05 +0100

rpi-eeprom (5.8-1) buster; urgency=medium

  [ Tim Gover ]
  * Update README.md

  [ tim ]
  * Push pieeprom-2020-04-16 to stable

  [ Tim Gover ]
  * Remove +x bit

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 23 Apr 2020 16:53:18 +0100

rpi-eeprom (5.7-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-16-04.bin -> pieeprom-2020-04-16.bin

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 17 Apr 2020 11:50:03 +0100

rpi-eeprom (5.6-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-16-04: Revert PLL analog setup changes

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 16 Apr 2020 19:18:15 +0100

rpi-eeprom (5.5-1) buster; urgency=medium

  [ Tim Gover ]
  * recovery.bin: Update beta/stable image recovery image

 -- Serge Schneider <serge@raspberrypi.org>  Sun, 12 Apr 2020 23:27:10 +0100

rpi-eeprom (5.4-1) buster; urgency=medium

  [ Tim Gover ]
  * pieeprom-2020-04-09: New beta with experimental PLL tweaks

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 09 Apr 2020 19:12:12 +0100

rpi-eeprom (5.3-1) buster; urgency=medium

  [ Andrew Scheller ]
  * Fix broken link

  [ Tim Gover ]
  * Update README.md
  * Promote pieeprom-2020-03-19 to a stable update

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 09 Apr 2020 08:00:46 +0100

rpi-eeprom (5.2-1) buster; urgency=medium

  [ andrum99 ]
  * release-notes.md - fix typos

  [ Tim Gover ]
  * pieeprom-2020-03-16 - Minor fix for Option97 GUID
  * pieeprom-2020-03-19: Minor fixes for manufacture test

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 20 Mar 2020 16:18:48 +0000

rpi-eeprom (5.1-1) buster; urgency=medium

  [ Tim Gover ]
  * Print the firmware image directory in the version status message
  * Remove network-boot beta documentation

  [ Ryan Finnie ]
  * Allow for run from local git checkout

  [ Tim Gover ]
  * pieeprom-2020-03-04: Netboot enhancements, self update and HDMI diagnostics

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 13 Mar 2020 14:16:34 +0000

rpi-eeprom (5.0-2) buster; urgency=medium

  * Add pciutils dependency

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 28 Feb 2020 18:35:22 +0000

rpi-eeprom (5.0-1) buster; urgency=medium

  [ Justin P ]
  * Clarifying the Dated .bin files
  * Formatting and Phrasing changes
  * Adjusted workding once more

  [ Tim Gover ]
  * rpi-eeprom-update: Remove dependency on vl805
  * firmware: Promote the latest beta firmware to stable

  [ Serge Schneider ]
  * Set architecture to 'all'
  * Add python-minimal build dependency

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 28 Feb 2020 14:41:56 +0000

rpi-eeprom (4.0-1) buster; urgency=medium

  [ Tim Gover ]
  * vl805: Remove the redundant .latest version info files
  * vl805: Update the critical version to be 00137ad

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 22 Jan 2020 14:33:33 +0000

rpi-eeprom (3.1-1) buster; urgency=medium

  [ Tim Gover ]
  * Update release notes for rpi-eeprom-config change
  * 2019-01-17: Fix SD card voltage detect + DHCP option 0 padding
  * rpi-eeprom-config: Fix padding calculation

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 14 Jan 2020 16:12:38 +0000

rpi-eeprom (3.0-1) buster; urgency=medium

  [ Tim Gover ]
  * vcgencmd: Use cpuinfo instead of otp_dump
  * pieeprom-2019-12-03: Fix DHCP Option43 menu handling
  * install: Fix path to vl805 executable
  * rpi-eeprom-update: Add support for config txt processing hooks
  * rpi-eeprom-update: Add hook/flashrom help and fix section formatting
  * rpi-eeprom-update: Improve version selection for VL805
  * Update README.md
  * 2020-01-19: PXE menu and IP address parsing fixes
  * Add the vl805-000137ad FW to beta
  * rpi-eeprom-update: Add support for board-revision specific images.

  [ andrum99 ]
  * rpi-eeprom-config - fix up help text (and therefore also man page)

  [ Serge Schneider ]
  * Update rpi-eeprom-config man page description
  * Update package architecture
  * Remove vl805 from rpi-eeprom-images

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 13 Jan 2020 11:01:19 +0000

rpi-eeprom (2.4-1) buster; urgency=medium

  [ Tim Gover ]
  * 2019-11-18 - Beta update for network boot fixes

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 18 Nov 2019 14:45:00 +0000

rpi-eeprom (2.3-1) buster; urgency=medium

  [ Tim Gover ]
  * license: Move vl805 to firmware to match license document
  * vl805: Make 13701 available in the critical directory

  [ MilhouseVH ]
  * use lspci if available instead of vl805. Avoid calling vl805 twice.

  [ Serge Schneider ]
  * Add binutils dependency
    - https://github.com/RPi-Distro/repo/issues/156
  * Install vl850 from firmware/

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 11 Nov 2019 13:24:43 +0000

rpi-eeprom (2.2-1) buster; urgency=medium

  [ MilhouseVH ]
  * Add Python3 support

  [ Tim Gover ]
  * Remove deprecated EEPROM from test script

  [ josef radinger ]
  * fix typo

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 31 Oct 2019 12:50:17 +0000

rpi-eeprom (2.1-1) buster; urgency=medium

  [ Tim Gover ]
  * Tweak update status for BOOTLOADER, VL805
  * rpi-eeprom-update: Check for vcmailbox, vcgencmd, dtparam, dtoverlay

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 28 Oct 2019 13:35:00 +0000

rpi-eeprom (2.0-1) buster; urgency=medium

  [ MilhouseVH ]
  * revert machine output exit code to string
  * handle undefined machine output consistently

  [ Tim Gover ]
  * rpi-eeprom-update: Don't remove update files if run with no arguments
  * critical update: Update VLI to 000137ab revision
  * rpi-eeprom-update: Verify DPKG checksums if available

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 23 Oct 2019 15:09:15 +0100

rpi-eeprom (1.4-1) buster; urgency=medium

  [ Tim Gover ]
  * rpi-eeprom-update: Remove comments about safe mode
  * rpi-eeprom-config: Increase the configuration size limit to 2024
  * test-rpi-eeprom-config: Add test cases for large config files
  * 2019-10-08 - TFTP prefix strings, block size, various netboot fixes
  * test: Add utility script to install updates from this git repo
  * recovery: Make recovery.bin specific to the release status
  * Remove pieeprom-2019-05-10.bin release
  * 2019-10-16 - Fix parsing of PXE boot menu option
  * Add support for updating the USB (VL805) EEPROM
  * Add rpi-eeprom-update -A option
  * Standarize on UPDATE_VERSION - use command -v

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 22 Oct 2019 14:04:14 +0100

rpi-eeprom (1.3-1) buster; urgency=medium

  [ Tim Gover ]
  * 2019-09-25 - Beta test update for network boot

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 25 Sep 2019 13:17:31 +0100

rpi-eeprom (1.2-1) buster; urgency=medium

  [ Tim Gover ]
  * Update raspberry_pi4_network_boot_beta.md
  * Set unused data to zero if size of config is reduced

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 24 Sep 2019 15:39:28 +0100

rpi-eeprom (1.1-1) buster; urgency=medium

  [ Tim Gover ]
  * 2019-09-23 - Beta test for network boot

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 23 Sep 2019 12:10:32 +0100

rpi-eeprom (1.0-1) buster; urgency=medium

  [ Tim Gover ]
  * Fix magic number check
  * Add .gitignore
  * Add unit test for rpi-eeprom-config
  * recovery.bin: Update to fix rename bug with FAT16
  * Bump pieeprom-2019-09-10 to stable

  [ andrum99 ]
  * rpi-eeprom-update: minor fixes to usage
  * fix quotation mark
  * getLatestCriticalUpdate -> getUpdateVersion
  * fix comment
  * fix call to getUpdateVersion
  * add colons to usage
  * usage: critical -> applicable

  [ Serge Schneider ]
  * Update gbp.conf

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 18 Sep 2019 11:18:06 +0100

rpi-eeprom (0.3-1) buster; urgency=medium

  * rpi-eeprom-update: Fix CPU detection and improve documentation
    - Use vcgencmd otp_dump to get the board-revision because the format
      is predictable
    - Change the -f completion message to indicate that the update is
      scheduled rather than complete
    - Add some notes to help about the update mechanism
  * Add release notes
  * rpi-eeprom-update: fix typos in usage
  * firmware: Add pieeprom-2019-09-06.bin to beta releases
    - Add the new EEPROM with SDRAM changes for power saving
  * firmware: Add pieeprom-2019-09-10.bin to beta releases
    - Minor update to always configure RGMII pins to a good state at power on.
      Previously the pins would have been left in the default reset state
      (input)
  * rpi-eeprom-update: -h should not require vcgencmd
    - More the checkDependencies call to after the options parsing so that
      -h can be run for help2man
  * Update packaging for new upstream format

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 10 Sep 2019 13:21:33 +0100

rpi-eeprom (0.2-1) buster; urgency=medium

  * Select release type via defaults

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 30 Aug 2019 14:53:18 +0100

rpi-eeprom (0.1-2) buster; urgency=medium

  * Update dependencies
    - Move flashrom to 'Recommends'
    - Add versioned raspberrypi-bootloader dependency

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 28 Aug 2019 14:58:13 +0100

rpi-eeprom (0.1-1) buster; urgency=medium

  * Initial release

 -- Serge Schneider <serge@raspberrypi.org>  Mon, 22 Jul 2019 14:01:36 +0100
